# RegExpMatch class

A regular expression match.

Regular expression matches are Matches, but also include the ability to retrieve the names for any named capture groups and to retrieve matches for named capture groups by name instead of their index.

Implemented types
  - Match

## Constructors

RegExpMatch()

## Properties

groupNames → Iterable<String>
  The names of the captured groups in the match.
  read-only
end → int
  Returns the index in the string after the last character of the match.
  read-only, inherited
groupCount → int
  Returns the number of captured groups in the match. [...]
  read-only, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
input → String
  The string on which this match was computed.
  read-only, inherited
pattern → Pattern
  The pattern used to search in input.
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
start → int
  Returns the index in the string where the match starts.
  read-only, inherited

## Methods

namedGroup(String name) → String
  The string matched by the group named `name`. [...]
group(int group) → String
  Returns the string matched by the given `group`. [...]
  inherited
groups(List<int> groupIndices) → List<String>
  Returns a list of the groups with the given indices. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited
operator [](int group) → String
  Returns the string matched by the given `group`. [...]
  inherited